/*
 * Copyright © 2015 Vecly OÜ <info@vecly.com>
 *                  Karel Pärlin
 *                  mart.ruutel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 */

#ifndef _RF_H_
#define _RF_H_

#include "cc1111.h"

#define BUFFER_SIZE 256

extern volatile __xdata uint8_t usb_wr_buffer[];
extern volatile __xdata uint16_t usb_wr_counter;

extern volatile __xdata uint8_t lastRssi;

void init_rf(void);
void rf_tx(__xdata uint8_t *b, uint8_t l);
void rf_rx(void);
void rf_idle(void);
void rf_ch(uint8_t);
void rf_power(uint8_t);

void rf_tx_rx_int_handler(void) __interrupt RFTXRX_VECTOR;
void rf_int_handler(void) __interrupt RF_VECTOR;

#endif // _RF_H_
